# (c) cavaliba.com - dataview

# ------------------------
# permission: dataview
# ------------------------

- classname: _permission
  keyname: p_dataview_admin
  is_builtin: True
  description: "Built-in dataview admin permission"
  displayname: "p_dataview_admin"

- classname: _permission
  keyname: p_dataview_create
  is_builtin: True
  description: "Built-in dataview create permission"
  displayname: p_dataview_create

- classname: _permission
  keyname: p_dataview_read
  is_builtin: True
  description: "Built-in dataview read permission"
  displayname: p_dataview_read

- classname: _permission
  keyname: p_dataview_update
  is_builtin: True
  description: "Built-in dataview update permission"
  displayname: p_dataview_update
      
- classname: _permission
  keyname: p_dataview_delete
  is_builtin: True
  description: "Built-in dataview delete permission"
  displayname: p_dataview_delete

- classname: _permission
  keyname: p_dataview_import
  is_builtin: True
  description: "Built-in dataview import permission"
  displayname: p_dataview_import

- classname: _permission
  keyname: p_dataview_export
  is_builtin: True
  description: "Built-in dataview export permission"
  displayname: p_dataview_export


# -------------------
# schema: dataview
# -------------------

- classname: _schema
  keyname: _dataview
  displayname: Data Views
  is_enabled: yes
  icon: fa-table
  order: 810
  page: Admin
  handle_method: md5
  p_admin: p_dataview_admin
  p_create: p_dataview_create
  p_read: p_dataview_read
  p_update: p_dataview_update
  p_delete: p_dataview_delete
  p_import: p_dataview_import
  p_export: p_dataview_export
  
  description:
    displayname: Description
    order: 100
    dataformat: string
  target_class:
    displayname: Schema
    order: 110
    dataformat: string
  content:
    displayname: Content
    order: 120
    dataformat: text
    dataformat_ext: yaml



# ------------------------------
# default Dataview for _dataview
# ------------------------------

- classname: _dataview
  keyname: _dataview_default
  target_class: _dataview
  displayname: Data View default
  is_enabled: true
  description: Default dataview for DataView
  content: |
    columns:
      - keyname
      - displayname
      - target_class
      - last_update
